Subject: Re: [PATCH/RFC] init, clone: support --real-git-dir for .git file

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Mar 2011 10:41:59 -0800

Nguyen Thai Ngoc Duy <[email-masked]> writes:

> It's actually good that path is prefixed by gitdir. I imagine once
> superproject is supported, .git file in subprojects will have another
> line
>
> supergitdir: /path/to/superproject

No.  On a platform with usable symbolic links, you should also be able to
solve "this version of the superproject has the submodule, but that
version does not, and we checkout the other version" with symlinking .git
without using a gitdir file at all, just like we can use .git/HEAD symlink
to denote the current branch.

Also, gitdir file is not for sole consumption of the submodule feature.
Keep separate things separate, and don't try to tie unrelated concepts
together.